
## Social Mobility
socmob.file <- "c:/AMDSS/Rwork/code/chapter5/socmob.txt"
# the data file path needs to be changed to the file's location on your computer

socmob.mat <- data.matrix(read.table(socmob.file))
colnames(socmob.mat) <- c("hfo", "wfo", "hfe", "hq", "ho", "wfe", "wq", "fbfe", "fbq", "fbo")


socmob.pca <- princomp(covmat=socmob.mat)
summary(socmob.pca, loadings=TRUE)


socmob.eig <- eigen(socmob.mat)

## Principal components variances
socmob.eig$values

## Standard deviation
sqrt(socmob.eig$values)

## Proportion variance explained
socmob.eig$values/sum(socmob.eig$values)

## Cumulative proportion variance explained
cumsum(socmob.eig$values)/sum(socmob.eig$values)


## Table 5.15 in the textbook
socmob.astar <- socmob.pca$loadings* 
                rep(socmob.pca$sdev,each=length(socmob.pca$sdev))

print(round(socmob.astar, d=2), cutoff=0)


class(socmob.pca)
methods(class=princomp)
plot(socmob.pca)

#screeplot
plot(socmob.pca$sdev^2, type="b", pch=16, main="Social mobility scree plot", ylab="Eigenvalue", xlab="Component number")
